
/*
Ive played with SQL Server Denali and found some new features and improvements in Query Execution plan. My intention was to test Extended Events and new events: sort_warning and hash_warnig. In SQL Server 2008R2, we can create SQL Trace to capture sort and hash warnings but there is no easy way to find out which statement cause it. I hoped that with new XEvent in Denali we can do that easily.

I reduced maximum server memory for SQL Server, ran some queries with ORDER BY and here is the Actual Execution Plan for one query.
*/
use adventureworks2008r2
go

SELECT *
FROM Sales.SalesOrderDetail
WHERE ProductID > 2
ORDER BY LineTotal ASC;

select * from sys.tables


select * from Sales.SalesOrderDetail
where SpecialOfferID = 0

select * 
from Sales.SalesOrderHeader h
inner hash join Sales.SalesOrderDetail d
  on h.SalesOrderID = d.SalesOrderID;

select count(*) thecount, SpecialOfferID 
from Sales.SalesOrderDetail d
group by SpecialOfferID 
order by thecount asc

declare @id int = 5
select * 
from Sales.SalesOrderHeader h
inner hash join Sales.SalesOrderDetail d
  on h.SalesOrderID = d.SalesOrderID
where d.SpecialOfferID = @id
option (optimize for (@id = 0));





