
drop table nums
go
create table nums
(
IntCol Char(10)
)
go

insert into nums(IntCol)
Select top(10) row_number() over(order by (select null)) from sys.columns

-- type conversion warning
-- Notice that the IntCol column is defined as a char(10) type.  If i now execute the following query 
select * from nums where IntCol = 8

-- memory grant waits
-- no example


DROP TABLE #TestTab1
GO
CREATE TABLE #TestTab1 (Col1     Int not null,
                       Col2     Char(7500) not null,
                       Quantity Int not null)
GO

INSERT INTO #TestTab1 VALUES (1,1,1),(1,2,5),(1,2,10),(1,3,20),
                            (2,1,101),(2,2,105),(2,2,110),(2,3,120)
GO

--and then add a filtered index
CREATE INDEX ixFilter ON #TestTab1 (Col1)
WHERE Quantity = 122

--Now if we execute, no warning
SELECT COUNT(*) FROM #TestTab1 WHERE Quantity = 122

-- unmatched index warning
DECLARE @i INT = 122
SELECT COUNT(*) FROM #TestTab1 WHERE Quantity = @i
