
/*
a.	UnionAggregate 
b.	EnvelopeAggregate 
c.	CollectionAggregate 
d.	ConvexHullAggregate 
*/

use Sample_USA
go

-- All counties in Washington
select * from counties
  WHERE name_1 = 'Washington';

-- UnionAggregate
SELECT Geography::UnionAggregate(geog) FROM Counties
  WHERE name_1 = 'Washington';

-- All counties in Washington with EnvelopeAggregate
select GEOG from counties
  WHERE name_1 = 'Washington'
UNION ALL
SELECT Geography::EnvelopeAggregate(geog) FROM Counties
  WHERE name_1 = 'Washington';

-- All counties in Washington with EnvelopeAggregate, geometry
select GEOM from counties
  WHERE name_1 = 'Washington'
UNION ALL
SELECT Geometry::EnvelopeAggregate(geom) FROM Counties
  WHERE name_1 = 'Washington'

-- All counties in Washington with CollectionAggregate
select GEOG from counties
  WHERE name_1 = 'Washington';

SELECT Geography::CollectionAggregate(geog) FROM Counties
  WHERE name_1 = 'Washington';

-- All counties in Washington with ConvexHullAggregate
select GEOG from counties
  WHERE name_1 = 'Washington'
UNION ALL
SELECT Geography::ConvexHullAggregate(geog) FROM Counties
  WHERE name_1 = 'Washington';

select * from SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

select * from SpatialSamples..admin00
where CNTRY_NAME = 'Sweden'
