
/*
a.	UnionAggregate 
b.	EnvelopeAggregate 
c.	CollectionAggregate 
d.	ConvexHullAggregate 
*/

use Sample_USA
go

-- All admin districts of UK
select geog from SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

-- UnionAggregate
SELECT Geography::UnionAggregate(geog) from SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

-- All admin districts of UK with EnvelopeAggregate
select geog from SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'
UNION ALL
SELECT Geography::EnvelopeAggregate(geog) FROM SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

-- All admin districts of UK with CollectionAggregate
select GEOG from SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

SELECT Geography::CollectionAggregate(geog) FROM SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

-- All admin districts of UK with ConvexHullAggregate
select GEOG FROM SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'
UNION ALL
SELECT Geography::ConvexHullAggregate(geog) FROM SpatialSamples..admin00
where CNTRY_NAME = 'United Kingdom'

