
-- Shortest line to works like STDistance would
-- STDistance produces the distance between two objects (does not have to be vertices)
-- STShortestLineTo produces an object between the points that STDistance uses
declare @g1 geometry = 'POLYGON((5 1, 6 2, 7 1, 6 0, 5 1))';
declare @g2 geometry = 'POLYGON((9 0, 9 2, 11 2, 11 0, 9 0))';
select @g1 
union all select @g2 
union all select @g1.ShortestLineTo(@g2).STBuffer(.03)
;

select @g1.ShortestLineTo(@g2).STLength()
select @g1.STDistance(@g2)

declare @p1 geometry = 'POINT(7 1)';
declare @p2 geometry = 'POINT(9 2)';
select @p1.STDistance(@p2)



declare @g geometry = 'LINESTRING(0 0, 10 10)' 
declare @h geometry = 'POINT(0 10)' 
select @g.ShortestLineTo(@h).STLength()
select @g.STDistance(@h)
