﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


public partial class StoredProcedures
{
    enum StringComparisonResult
    {
        precedes = -1,
        equals = 0,
        follows = 1,
    };

    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void DoSort()
    {
        //When you run the example on the .NET Framework 4, it displays the following output
        //sta follows a in the sort order.

        //This is completely different from the output that is displayed when you run the example on the .NET Framework 3.5.
        //sta equals a in the sort order.

        string str1 = new string( new char[] {'\u0219', '\u021B', 'a' });
        string str2 = "a";

        SqlContext.Pipe.Send(String.Format("{0} {1} {2} in the sort order.", 
                        str1, 
                        (StringComparisonResult) String.Compare(str1, str2, StringComparison.CurrentCulture),  
                        str2));       
    }
};
