
-- 1. DATEFROMPARTS function
SELECT DATEFROMPARTS ( 2010, 12, 31 ) AS Result;

-- 2. DATETIME2FROMPARTS function
SELECT DATETIME2FROMPARTS ( 2010, 12, 31, 23, 59, 59, 0, 0 ) AS Result;

-- 3. DATETIMEFROMPARTS function
SELECT DATETIMEFROMPARTS ( 2010, 12, 31, 23, 59, 59, 0 ) AS Result;

-- 4. DATETIMEOFFSETFROMPARTS function
SELECT DATETIMEOFFSETFROMPARTS ( 2010, 12, 31, 14, 23, 23, 0, 12, 0, 7 ) AS Result;

-- 5. SMALLDATETIMEFROMPARTS
SELECT SMALLDATETIMEFROMPARTS ( 2010, 12, 31, 23, 59 ) AS Result;

-- 6. TIMEFROMPARTS
SELECT TIMEFROMPARTS ( 23, 59, 59, 0, 0 ) AS Result;

-- 7. EOMONTH function

-- With explicit DATETIME data type
DECLARE @date DATETIME;
SET @date = '12/31/2010';
SELECT EOMONTH ( @date ) AS Result;
go

-- EOMONTH with string parameter and implicit conversion
DECLARE @date VARCHAR(255);
SET @date = '12/31/2010';
SELECT EOMONTH ( @date ) AS Result;
go